commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton (JIRA)" <j...@apache.org>
Subject [jira] Commented: (JELLY-288) JexlExpression and XPathExpression use IllegalStateException (java.lang.String,java.lang.Exception) which is Java 1.5+
Date Sun, 06 Dec 2009 23:39:18 GMT

    [ https://issues.apache.org/jira/browse/JELLY-288?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12786737#action_12786737
] 

Niall Pemberton commented on JELLY-288:
---------------------------------------

Also the following use the Throwable.getCause() method which wasn't added until JDK 1.4

    * org.apache.commons.jelly.expression.TestExpressions (test case)
    * org.apache.commons.jelly.tags.core.CatchTag

And org.apache.commons.jelly.tags.core.CatchTag use String.spit() which is also a JDK 1.4
method.

Does 1.3 compatibility need to be restored, or can we move Jelly to JDK 1.4 and just fix the
issues with JDK 1.5?

For now I have fixed the JDK 1.5 issue - replacing with initCause() - but thats a JDK 1.4
method:

http://svn.apache.org/viewvc?view=revision&revision=887799

> JexlExpression and XPathExpression use IllegalStateException (java.lang.String,java.lang.Exception)
which is Java 1.5+
> ----------------------------------------------------------------------------------------------------------------------
>
>                 Key: JELLY-288
>                 URL: https://issues.apache.org/jira/browse/JELLY-288
>             Project: Commons Jelly
>          Issue Type: Bug
>            Reporter: Sebb
>
> JexlExpression and XPathExpression use IllegalStateException (java.lang.String,java.lang.Exception)
which is Java 1.5+
> However, AFAICT the build currently targets 1.3+

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message